AWS Amplify API
AWS Amplify Home
Options
All

- Public
- Public/Protected
- All

Inherited Externals Only exported
Menu

### Hierarchy

- SignInComponentCore
  - SignInComponentIonic

### Implements

- any

## Index

### Constructors

- constructor

### Properties

- _authState
- _show
- amplifyService
- errorMessage
- logger
- password
- username

### Accessors

- authState

### Methods

- _setError
- ngOnInit
- onAlertClose
- onForgotPassword
- onSignIn
- onSignUp
- setPassword
- setUsername

## Constructors

### constructor

- new SignInComponentCore(amplifyService: AmplifyService): SignInComponentCore

- - Defined in aws-amplify-angular/src/components/authenticator/sign-in-component/sign-in.component.core.ts:96

  #### Parameters

  - ##### amplifyService: AmplifyService

  #### Returns SignInComponentCore

## Properties

### _authState

_authState: AuthState

- Defined in aws-amplify-angular/src/components/authenticator/sign-in-component/sign-in.component.core.ts:91

### _show

_show: boolean

- Defined in aws-amplify-angular/src/components/authenticator/sign-in-component/sign-in.component.core.ts:92

### Protected amplifyService

amplifyService: AmplifyService

- Defined in aws-amplify-angular/src/components/authenticator/sign-in-component/sign-in.component.core.ts:98

### errorMessage

errorMessage: string

- Defined in aws-amplify-angular/src/components/authenticator/sign-in-component/sign-in.component.core.ts:95

### Protected logger

logger: any

- Defined in aws-amplify-angular/src/components/authenticator/sign-in-component/sign-in.component.core.ts:96

### password

password: string

- Defined in aws-amplify-angular/src/components/authenticator/sign-in-component/sign-in.component.core.ts:94

### username

username: string

- Defined in aws-amplify-angular/src/components/authenticator/sign-in-component/sign-in.component.core.ts:93

## Accessors

### authState

authState:

- Defined in aws-amplify-angular/src/components/authenticator/sign-in-component/sign-in.component.core.ts:103

## Methods

### _setError

- _setError(err: any): void

- - Defined in aws-amplify-angular/src/components/authenticator/sign-in-component/sign-in.component.core.ts:155

  #### Parameters

  - ##### err: any

  #### Returns void

### ngOnInit

- ngOnInit(): void

- - Defined in aws-amplify-angular/src/components/authenticator/sign-in-component/sign-in.component.core.ts:109

  #### Returns void

### onAlertClose

- onAlertClose(): void

- - Defined in aws-amplify-angular/src/components/authenticator/sign-in-component/sign-in.component.core.ts:139

  #### Returns void

### onForgotPassword

- onForgotPassword(): void

- - Defined in aws-amplify-angular/src/components/authenticator/sign-in-component/sign-in.component.core.ts:143

  #### Returns void

### onSignIn

- onSignIn(): void

- - Defined in aws-amplify-angular/src/components/authenticator/sign-in-component/sign-in.component.core.ts:123

  #### Returns void

### onSignUp

- onSignUp(): void

- - Defined in aws-amplify-angular/src/components/authenticator/sign-in-component/sign-in.component.core.ts:149

  #### Returns void

### setPassword

- setPassword(password: string): void

- - Defined in aws-amplify-angular/src/components/authenticator/sign-in-component/sign-in.component.core.ts:119

  #### Parameters

  - ##### password: string

  #### Returns void

### setUsername

- setUsername(username: string): void

- - Defined in aws-amplify-angular/src/components/authenticator/sign-in-component/sign-in.component.core.ts:115

  #### Parameters

  - ##### username: string

  #### Returns void